Last Comment Bug 585 - line-height property not supported
: line-height property not supported
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: x86 Windows 95
: P2 normal (vote)
: M4
Assigned To: buster
:
Mentors:
http://www.w3.org/Style/CSS/Test/curr...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1998-08-02 07:00 PDT by Angus Davis
Modified: 2000-03-08 14:35 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Angus Davis 1998-08-02 07:00:00 PDT
See URL for test case and sample code. line-height is a CSS property to control
the vertical space between lines of text. I imagine this will involve the
vertical spacing of elements in the content model (cc'ing kipp).


------- Additional Comments From angus  08/02/98 02:16 -------

Actually, another, better test case is here:
http://www.w3.org/Style/CSS/Test/current/sec548.htm

Unfortunately, this case crashes my viewer on win95.
Comment 1 kipp 1998-10-15 20:50:59 PDT
It's now supported.
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 1998-10-23 11:06:59 PDT
Line heights in percentages or ems seem to be in terms of the normal line height
rather than in terms of the font size, as they should be.  The line-height in
pixels seems too big (the font size does too).

There are also some wording errors in the test 5.2.7.  It should say % of font-
size rather than % of normal, but these errors should be fixed soon.
‰
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 1998-10-23 11:07:59 PDT
‰
Comment 4 kipp 1998-12-14 16:19:59 PST
Every test on this page now works correctly; note that the text for test9 is
still wrong (in several ways!) and misleads one to believe that we are doing the
wrong thing.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 1998-12-17 12:55:59 PST
OK another bug (on the other (newly updated) line height test page - I changed
the URL from 527 to 548).  Your handling of a SPAN within an element with
additional line-height seems incorrect.  I'm 95% sure that the line-height is
outside of the inline block model.  Also, I don't think the way you are
handling line height is consistent with the 1/2 leading above, 1/2 leading
below model.  (I never quite understood what that implied for the beginning and
the end of the paragraph, either.  You may want to ask H&kon about that, unless
it's clear to you from the spec.)
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 1999-01-29 07:01:59 PST
Ignore my previous comments and see what I wrote on bug 1990.
Comment 7 leger 1999-02-03 08:08:59 PST
Setting all current Open/Normal to M4.
Comment 8 kipp 1999-02-23 11:42:59 PST
This test now works as desired; the line-height property when applied to the
span with color now properly surrounds it with half-leading.
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 1999-02-24 12:05:59 PST
All the problems herein described are verified fixed.  Other problems are on
bug 1278.

Note You need to log in before you can comment on or make changes to this bug.